org.apache.struts2.tiles

## Class BuildAutotags

- java.lang.Object
- - org.apache.struts2.tiles.BuildAutotags

-     public class BuildAutotags
      extends Object

  Helper class for building/generating the classes and resources used in the plugin.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BuildAutotags()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildFreemarker(String outputDir)` Builds the Freemarker classes.
    `void` | `buildJsp(String outputDir)` Build JSP tag classes and .tld file.
    `void` | `buildVelocity(String outputDir)` Builds the velocity classes and velocity.properties.
    `static void` | `main(String[] args)` The main method.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BuildAutotags

          public BuildAutotags()

  - ### Method Detail

    - #### main

          public static void main(String[] args)

      The main method.
      Parameters:
        `args` - the arguments

    - #### buildJsp

          public void buildJsp(String outputDir)

      Build JSP tag classes and .tld file. To build, change template-suite.xml as required and then run this program. Copy the classes and .tld from the target autotag folder into the packageName location, .tld to src/main/resources/META-INF/tld/tiles-jsp.tld
      Parameters:
        `outputDir` - the output dir

    - #### buildFreemarker

          public void buildFreemarker(String outputDir)

      Builds the Freemarker classes. To build, change template-suite.xml as required and then run this program. Copy the classes from the target autotag folder into the packageName location.
      Parameters:
        `outputDir` - the output dir

    - #### buildVelocity

          public void buildVelocity(String outputDir)

      Builds the velocity classes and velocity.properties. To build, change template-suite.xml as required and then run this program. Copy the classes from the target autotag folder into the packageName location, and velocity.properties to src/main/resources/META-INF/velocity.properties
      Parameters:
        `outputDir` - the output dir

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.